/* Recreate objects script.
 * 
 * Generated via Object Desktop Package File 'ZTBold Package'.
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* Get creation disposition. */
Say 'When object exists object creation should:' 
Call CharOut, '  (U=Update, R=Replace, F=Fail) : '
Parse Upper Pull Answer
CreateCollision = 'Fail'
If Left( Answer, 1 ) = R Then CreateCollision = 'Replace' 
If Left( Answer, 1 ) = U Then CreateCollision = 'Update' 

Call RegisterClasses
Call CreateObjects
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

rc = CreateObject( 'WPProgram',,
    'Ztbold',,
    '<WP_DESKTOP>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=RUNNING;'||,
        'ICONPOS=41,84;'||,
        'EXENAME=G:\ZTBOLD\ZTBOLD.CMD;'||,
        'STARTUPDIR=G:\ZTBOLD;'||,
        'PROGTYPE=WINDOWABLEVIO;'||,
        'ICONFILE=G:\TEMP\ZTBold_Package\Ztbold.ICO;'||,
        'OBJECTID=<Ztbold>',,
    CreateCollision )

return

RegisterClasses:

Say
Say 'Registering classes....'
Say
Say 'The following classes will be registered:'
Say
Say
Say 'Press enter to register 0 classes for object creation,'
Call CharOut, 'or type any other key and enter to ignore: '
Say
Parse Pull Answer
If Answer <> '' Then return
return

